#ifndef HEADERFILTER_H
#define HEADERFILTER_H

#include <find/ifindfilter.h>

class HeaderFilterData;

class HeaderFilter : public Find::IFindFilter
{
    Q_OBJECT
public:
    HeaderFilter();
    ~HeaderFilter();
    QString id() const;
    QString displayName() const;
    bool isEnabled() const;
    bool canCancel() const;
    void cancel();
    QKeySequence defaultShortcut() const;
    void findAll(const QString &txt, Find::FindFlags findFlags);
    QWidget *createConfigWidget();
private:
    HeaderFilterData *d;

private slots:
	void displayResult(int index);
};

#endif // HEADERFILTER_H
